package core

import (
	"gitlink.org.cn/JointCloud/pcm-coordinator/pkg/repository/result"
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/logic/core"
	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/svc"
	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/types"
)

func ScreenPageTaskHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.PageTaskReq
		if err := httpx.Parse(r, &req); err != nil {
			result.ParamErrorResult(r, w, err)
			return
		}
		l := core.NewScreenPageTaskLogic(r.Context(), svcCtx)
		resp, err := l.ScreenPageTask(&req)
		result.HttpResult(r, w, resp, err)
	}
}
